Paths on this page are relative to /api/liquidity-studio/v1. Authentication and required headers vary by operation.
API reference overview · OpenAPI download
Operations on this page#
| Method | Path | Operation |
|---|---|---|
GET |
/retirement/status |
getRetirementStatus |
POST |
/access-requests |
postAccessRequests |
GET |
/public/proofs/{slug} |
getPublicProofsBySlug |
GET |
/public/proofs/{slug}/bundle |
getPublicProofsBySlugBundle |
GET |
/public/proofs/{slug}/artifacts |
getPublicProofsBySlugArtifacts |
GET |
/session |
getSession |
POST |
/organizations |
postOrganizations |
GET |
/organizations |
getOrganizations |
POST |
/invitations/accept |
postInvitationsAccept |
POST |
/invitations/{token}/accept |
postInvitationsByTokenAccept |
GET |
/organization |
getOrganization |
PATCH |
/organization |
patchOrganization |
GET |
/members |
getMembers |
GET |
/invitations |
getInvitations |
POST |
/invitations |
postInvitations |
PATCH |
/members/{actorId} |
patchMembersByActorId |
POST |
/members/{actorId}/revoke |
postMembersByActorIdRevoke |
GET |
/organizations/{orgId}/projects |
getOrganizationsByOrgIdProjects |
GET |
/assets/{chainId}/{address}/eligibility |
getAssetsByChainIdByAddressEligibility |
GET |
/assets/{chainId}/{address}/assessments |
getAssetsByChainIdByAddressAssessments |
POST |
/assets/{chainId}/{address}/assessments |
postAssetsByChainIdByAddressAssessments |
GET |
/pools/{address}/health |
getPoolsByAddressHealth |
GET |
/pools/{address}/assessments |
getPoolsByAddressAssessments |
POST |
/pools/{address}/assessments |
postPoolsByAddressAssessments |
POST |
/organizations/{orgId}/safes/challenge |
postOrganizationsByOrgIdSafesChallenge |
POST |
/organizations/{orgId}/safes/verify |
postOrganizationsByOrgIdSafesVerify |
POST |
/simulations |
postSimulations |
POST |
/simulations/indexed |
postSimulationsIndexed |
GET |
/simulation-datasets |
getSimulationDatasets |
GET |
/simulations/{simulationId} |
getSimulationsBySimulationId |
POST |
/simulations/{simulationId}/policy-draft |
postSimulationsBySimulationIdPolicyDraft |
GET |
/incidents |
getIncidents |
GET |
/alert-policies |
getAlertPolicies |
POST |
/alert-policies |
postAlertPolicies |
GET |
/alert-deliveries |
getAlertDeliveries |
GET |
/safety-pause-commands |
getSafetyPauseCommands |
POST |
/incidents/{incidentId}/acknowledge |
postIncidentsByIncidentIdAcknowledge |
POST |
/incidents/{incidentId}/mitigate |
postIncidentsByIncidentIdMitigate |
POST |
/incidents/{incidentId}/resolve |
postIncidentsByIncidentIdResolve |
GET |
/billing |
getBilling |
GET |
/reports/{reportId}/fee-accrual-preview |
getReportsByReportIdFeeAccrualPreview |
POST |
/reports/{reportId}/fee-accruals |
postReportsByReportIdFeeAccruals |
POST |
/invoices |
postInvoices |
POST |
/invoices/{invoiceId}/payment-reconciliations |
postInvoicesByInvoiceIdPaymentReconciliations |
GET |
/reports |
getReports |
GET |
/reports/{reportId}/exports/{format} |
getReportsByReportIdExportsByFormat |
POST |
/reports/{reportId}/publish |
postReportsByReportIdPublish |
POST |
/reports/{reportId}/publication-finalization |
postReportsByReportIdPublicationFinalization |
GET |
/data-health |
getDataHealth |
GET |
/ai/outputs |
getAiOutputs |
POST |
/ai/outputs |
postAiOutputs |
GET |
/ai/outputs/{outputId} |
getAiOutputsByOutputId |
GET |
/audit-events |
getAuditEvents |
GET |
/organizations/{orgId}/members |
getOrganizationsByOrgIdMembers |
POST |
/organizations/{orgId}/members |
postOrganizationsByOrgIdMembers |
PATCH |
/organizations/{orgId}/members/{memberId} |
patchOrganizationsByOrgIdMembersByMemberId |
GET |
/simulations/{simulationId}/artifacts |
getSimulationsBySimulationIdArtifacts |
GET |
/reports/{reportId} |
getReportsByReportId |
GET |
/reports/{reportId}/performance-series |
getReportsByReportIdPerformanceSeries |
GET |
/reports/{reportId}/download |
getReportsByReportIdDownload |
GET |
/organizations/{orgId}/fee-schedule |
getOrganizationsByOrgIdFeeSchedule |
GET |
/organizations/{orgId}/invoices |
getOrganizationsByOrgIdInvoices |
getRetirementStatus#
GET /retirement/status
Operation ID: getRetirementStatus
Authentication: No authentication requirement is declared in this OpenAPI operation. Consult the access guide and deployed service configuration.
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postAccessRequests#
POST /access-requests
Operation ID: postAccessRequests
Authentication: No authentication requirement is declared in this OpenAPI operation. Consult the access guide and deployed service configuration.
This operation declares no parameters.
Request body#
Required: yes.
application/json
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | AccessRequestReceipt | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getPublicProofsBySlug#
GET /public/proofs/{slug}
Operation ID: getPublicProofsBySlug
Authentication: No authentication requirement is declared in this OpenAPI operation. Consult the access guide and deployed service configuration.
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
slug |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getPublicProofsBySlugBundle#
GET /public/proofs/{slug}/bundle
Operation ID: getPublicProofsBySlugBundle
Authentication: No authentication requirement is declared in this OpenAPI operation. Consult the access guide and deployed service configuration.
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
slug |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getPublicProofsBySlugArtifacts#
GET /public/proofs/{slug}/artifacts
Operation ID: getPublicProofsBySlugArtifacts
Authentication: No authentication requirement is declared in this OpenAPI operation. Consult the access guide and deployed service configuration.
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
slug |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getSession#
GET /session
Operation ID: getSession
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postOrganizations#
POST /organizations
Operation ID: postOrganizations
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 160 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
name |
Yes | string |
Min length: 2; Max length: 160 |
slug |
Yes | string |
Min length: 1; Max length: 80 |
termsVersion |
Yes | string |
Min length: 1; Max length: 80 |
termsSource |
Yes | string |
Format: uri; Max length: 2000 |
provisioningToken |
Yes | string |
Pattern: ^[A-Za-z0-9_-]{32,256}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganizations#
GET /organizations
Operation ID: getOrganizations
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postInvitationsAccept#
POST /invitations/accept
Operation ID: postInvitationsAccept
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 160 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
token |
Yes | string |
Min length: 32; Max length: 256 |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postInvitationsByTokenAccept#
POST /invitations/{token}/accept
Operation ID: postInvitationsByTokenAccept
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
token |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 160 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganization#
GET /organization
Operation ID: getOrganization
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
patchOrganization#
PATCH /organization
Operation ID: patchOrganization
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
name |
Yes | string |
Min length: 2; Max length: 160 |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getMembers#
GET /members
Operation ID: getMembers
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getInvitations#
GET /invitations
Operation ID: getInvitations
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postInvitations#
POST /invitations
Operation ID: postInvitations
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
email |
Yes | string |
Format: email; Max length: 320 |
role |
Yes | string |
Allowed: ORGANIZATION_OWNER, TREASURY_ADMIN, APPROVER, ANALYST, VIEWER, KLINEO_OPERATOR, RISK_GUARDIAN, INTERNAL_AUDITOR |
expiresAt |
Yes | string |
Format: date-time |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
patchMembersByActorId#
PATCH /members/{actorId}
Operation ID: patchMembersByActorId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
actorId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
role |
Yes | string |
Allowed: ORGANIZATION_OWNER, TREASURY_ADMIN, APPROVER, ANALYST, VIEWER, KLINEO_OPERATOR, RISK_GUARDIAN, INTERNAL_AUDITOR |
expiresAt |
No | string |
Format: date-time |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postMembersByActorIdRevoke#
POST /members/{actorId}/revoke
Operation ID: postMembersByActorIdRevoke
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
actorId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganizationsByOrgIdProjects#
GET /organizations/{orgId}/projects
Operation ID: getOrganizationsByOrgIdProjects
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAssetsByChainIdByAddressEligibility#
GET /assets/{chainId}/{address}/eligibility
Operation ID: getAssetsByChainIdByAddressEligibility
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
chainId |
path | Yes | string |
Min length: 1 |
address |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAssetsByChainIdByAddressAssessments#
GET /assets/{chainId}/{address}/assessments
Operation ID: getAssetsByChainIdByAddressAssessments
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
chainId |
path | Yes | string |
Min length: 1 |
address |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postAssetsByChainIdByAddressAssessments#
POST /assets/{chainId}/{address}/assessments
Operation ID: postAssetsByChainIdByAddressAssessments
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
chainId |
path | Yes | string |
Min length: 1 |
address |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 12; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getPoolsByAddressHealth#
GET /pools/{address}/health
Operation ID: getPoolsByAddressHealth
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
address |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getPoolsByAddressAssessments#
GET /pools/{address}/assessments
Operation ID: getPoolsByAddressAssessments
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
address |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postPoolsByAddressAssessments#
POST /pools/{address}/assessments
Operation ID: postPoolsByAddressAssessments
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
address |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 12; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postOrganizationsByOrgIdSafesChallenge#
POST /organizations/{orgId}/safes/challenge
Operation ID: postOrganizationsByOrgIdSafesChallenge
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
safeAddress |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postOrganizationsByOrgIdSafesVerify#
POST /organizations/{orgId}/safes/verify
Operation ID: postOrganizationsByOrgIdSafesVerify
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
challengeId |
Yes | string |
Min length: 1 |
signature |
Yes | string |
Pattern: ^0x[0-9a-fA-F]+$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postSimulations#
POST /simulations
Operation ID: postSimulations
Authentication: __Host-klineo_session cookie (sessionCookie)
Conditional version precondition: body.vaultId is present
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | No | string |
One quoted strong entity tag; required when body.vaultId is present. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
vaultId |
No | string |
Min length: 1 |
quoteProfile |
Yes | string |
Allowed: USDT, WBOT |
config |
Yes | object |
Additional properties rejected |
config.kind |
Yes | string |
Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY |
config.version |
Yes | string |
Min length: 1; Max length: 80 |
config.targetInventoryPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.rebalanceThresholdPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.quoteReserveFloor |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.maxCandidateAmount |
Yes | string |
Pattern: ^[1-9][0-9]*$ |
config.rangeWidthTicks |
Yes | integer |
Maximum: 1774544; Exclusive minimum: 0 |
config.diversificationTriggerPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.diversificationMandate |
No | object |
Additional properties rejected |
config.diversificationMandate.executionMode |
Yes | Constant ISSUER_SAFE_APPROVAL_ONLY |
— |
config.diversificationMandate.totalTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.dailyTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.hourlyTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.maximumOrganicVolumeParticipationPips |
Yes | integer |
Minimum: 1; Maximum: 1000000 |
config.diversificationMandate.minimumSalePriceX18 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.minimumRetainedTokenBalance |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.targetProtectedQuoteReserve |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.validUntil |
Yes | string |
Format: date-time |
config.diversificationMandate.proceedsRule |
Yes | Constant PROTECTED_QUOTE_RESERVE |
— |
config.diversificationMandate.repurchaseAllowed |
Yes | Constant false |
— |
config.diversificationMandate.unlockDisclosureArtifactHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
config.diversificationMandate.insiderWalletDisclosureArtifactHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
config.diversificationMandate.publicReportingMode |
Yes | string |
Allowed: PRIVATE, ISSUER_APPROVED_PUBLIC |
assumptions |
Yes | object |
Additional properties rejected |
assumptions.initialTokenBalance |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.initialQuoteBalance |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.gasCostQuote |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.platformFeePips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.volatilityShockPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.keeperDelaySeconds |
Yes | integer |
Minimum: 0; Maximum: 86400 |
assumptions.oracleOutageAt |
No | integer |
Minimum: 0 |
assumptions.oneWayFlowShockPips |
No | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.gasSpikePips |
No | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.incentiveIncomeQuote |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.reorgDepth |
No | integer |
Minimum: 0; Maximum: 1000 |
observations |
Yes | Array of object |
Min items: 2; Max items: 100000 |
observations[].blockNumber |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].blockHash |
No | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
observations[].transactionHash |
No | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
observations[].transactionIndex |
No | integer |
Minimum: 0 |
observations[].logIndex |
No | integer |
Minimum: 0 |
observations[].sourceId |
No | string |
Min length: 1; Max length: 160 |
observations[].eventType |
No | string |
Allowed: SWAP, MINT, BURN, COLLECT |
observations[].eventProvenance |
No | string |
Allowed: EXTERNAL_POOL_FLOW, KLINEO_ACTION |
observations[].gasAccounting |
No | string |
Allowed: MODELED_ACTION_ASSUMPTION, OBSERVED_KLINEO_ACTION |
observations[].amount0Delta |
No | string |
Pattern: ^-?(0|[1-9][0-9]*)$ |
observations[].amount1Delta |
No | string |
Pattern: ^-?(0|[1-9][0-9]*)$ |
observations[].liquidityDelta |
No | string |
Pattern: ^-?(0|[1-9][0-9]*)$ |
observations[].modeledPoolFee0Atomic |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].modeledPoolFee1Atomic |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].feeModel |
No | Constant GROSS_INPUT_FEE_PIPS_V1 |
— |
observations[].vaultStateBefore |
No | object |
Additional properties rejected |
observations[].vaultStateBefore.idleToken0 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].vaultStateBefore.idleToken1 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].vaultStateBefore.accruedFees0 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].vaultStateBefore.accruedFees1 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].vaultStateBefore.positions |
Yes | Array of object |
— |
observations[].vaultStateBefore.positions[].positionId |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].vaultStateBefore.positions[].tickLower |
Yes | integer |
— |
observations[].vaultStateBefore.positions[].tickUpper |
Yes | integer |
— |
observations[].vaultStateBefore.positions[].liquidity |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].timestamp |
Yes | string |
Format: date-time |
observations[].tokenPriceX18 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].tokenDecimals |
Yes | integer |
Minimum: 0; Maximum: 36 |
observations[].quoteDecimals |
Yes | integer |
Minimum: 0; Maximum: 36 |
observations[].tokenBalance |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].quoteBalance |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].grossFeesQuote |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].gasSpentQuote |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].depthQuote |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].inPolicyBand |
Yes | boolean |
— |
observations[].sqrtPriceX96 |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].tick |
No | integer |
Minimum: -887272; Maximum: 887272 |
observations[].tickSpacing |
No | integer |
Maximum: 16384; Exclusive minimum: 0 |
observations[].activeLiquidity |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].activeLiquidityPips |
No | integer |
Minimum: 0; Maximum: 1000000 |
observations[].policyState |
No | object |
Additional properties rejected |
observations[].policyState.finalized |
Yes | Constant true |
— |
observations[].policyState.sourceMaximumStalenessSeconds |
Yes | integer |
Maximum: 2592000; Exclusive minimum: 0 |
observations[].policyState.positionCount |
Yes | integer |
Minimum: 0 |
observations[].policyState.protectedQuoteReserve |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].policyState.realizedLossToday |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].policyState.turnoverToday |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].policyState.actionsToday |
Yes | integer |
Minimum: 0 |
observations[].policyState.lastActionAt |
No | string |
Format: date-time |
observations[].policyState.sources |
Yes | Array of object |
Min items: 3 |
observations[].policyState.sources[].sourceId |
Yes | string |
Min length: 1; Max length: 160 |
observations[].policyState.sources[].sourceKind |
Yes | string |
Allowed: PRIMARY_ORACLE, SECONDARY_ORACLE, POOL_TWAP |
observations[].policyState.sources[].status |
Yes | string |
Allowed: OK, DEGRADED, STALE, DIVERGENT, UNAVAILABLE |
observations[].policyState.sources[].observedAt |
Yes | string |
Format: date-time |
observations[].policyState.sources[].blockNumber |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].policyState.sources[].priceX18 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
observations[].policyState.sources[].confidencePips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
202 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
202 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | BackgroundJob | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postSimulationsIndexed#
POST /simulations/indexed
Operation ID: postSimulationsIndexed
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
vaultId |
Yes | string |
Min length: 1 |
datasetId |
Yes | string |
Min length: 1 |
config |
Yes | object |
Additional properties rejected |
config.kind |
Yes | string |
Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY |
config.version |
Yes | string |
Min length: 1; Max length: 80 |
config.targetInventoryPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.rebalanceThresholdPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.quoteReserveFloor |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.maxCandidateAmount |
Yes | string |
Pattern: ^[1-9][0-9]*$ |
config.rangeWidthTicks |
Yes | integer |
Maximum: 1774544; Exclusive minimum: 0 |
config.diversificationTriggerPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
config.diversificationMandate |
No | object |
Additional properties rejected |
config.diversificationMandate.executionMode |
Yes | Constant ISSUER_SAFE_APPROVAL_ONLY |
— |
config.diversificationMandate.totalTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.dailyTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.hourlyTokenSaleCap |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.maximumOrganicVolumeParticipationPips |
Yes | integer |
Minimum: 1; Maximum: 1000000 |
config.diversificationMandate.minimumSalePriceX18 |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.minimumRetainedTokenBalance |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.targetProtectedQuoteReserve |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
config.diversificationMandate.validUntil |
Yes | string |
Format: date-time |
config.diversificationMandate.proceedsRule |
Yes | Constant PROTECTED_QUOTE_RESERVE |
— |
config.diversificationMandate.repurchaseAllowed |
Yes | Constant false |
— |
config.diversificationMandate.unlockDisclosureArtifactHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
config.diversificationMandate.insiderWalletDisclosureArtifactHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
config.diversificationMandate.publicReportingMode |
Yes | string |
Allowed: PRIVATE, ISSUER_APPROVED_PUBLIC |
policy |
Yes | object |
Additional properties rejected |
policy.id |
Yes | string |
Min length: 1 |
policy.version |
Yes | integer |
Exclusive minimum: 0 |
policy.strategy |
Yes | string |
Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY |
policy.strategyVersion |
Yes | string |
Min length: 1 |
policy.configHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
policy.validAfter |
Yes | string |
Format: date-time |
policy.validUntil |
Yes | string |
Format: date-time |
policy.cooldownSeconds |
Yes | integer |
Minimum: 0; Maximum: 4294967295 |
policy.maxPositions |
Yes | integer |
Maximum: 32; Exclusive minimum: 0 |
policy.maxOracleDeviationPips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.maxTwapDeviationPips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.minOracleConfidencePips |
Yes | integer |
Minimum: 800000; Maximum: 1000000 |
policy.minOracleObservationAgeSeconds |
Yes | integer |
Minimum: 1; Maximum: 3600 |
policy.maxSwapSlippagePips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.maxDailyTurnoverPips |
Yes | integer |
Minimum: 0; Maximum: 500000 |
policy.minActiveLiquidityPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
policy.minQuoteReservePips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
policy.maxSwapPerAction |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxSwapPerDay |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxGasReimbursement |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxRealizedLossPerDay |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxCapitalPerPosition |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxActionsPerDay |
Yes | integer |
Maximum: 10000; Exclusive minimum: 0 |
policy.minimumTick |
Yes | integer |
Minimum: -887272; Maximum: 887272 |
policy.maximumTick |
Yes | integer |
Minimum: -887272; Maximum: 887272 |
policy.maximumPositionWidthTicks |
Yes | integer |
Maximum: 16777215; Exclusive minimum: 0 |
policy.minimumPositionWidthTicks |
Yes | integer |
Maximum: 16777215; Exclusive minimum: 0 |
policy.allowedPools |
Yes | Array of string |
Min items: 1; Max items: 32 |
policy.allowedRecipients |
Yes | Array of string |
Min items: 1; Max items: 32 |
policy.executor |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.guardian |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.oracleGuard |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.quoteProfile |
Yes | string |
Allowed: USDT, WBOT |
assumptions |
Yes | object |
Additional properties rejected |
assumptions.initialTokenBalance |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.initialQuoteBalance |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.gasCostQuote |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.platformFeePips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.volatilityShockPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.keeperDelaySeconds |
Yes | integer |
Minimum: 0; Maximum: 86400 |
assumptions.oracleOutageAt |
No | integer |
Minimum: 0 |
assumptions.oneWayFlowShockPips |
No | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.gasSpikePips |
No | integer |
Minimum: 0; Maximum: 1000000 |
assumptions.incentiveIncomeQuote |
No | string |
Pattern: ^(0|[1-9][0-9]*)$ |
assumptions.reorgDepth |
No | integer |
Minimum: 0; Maximum: 1000 |
strategyMigrationReason |
No | string |
Min length: 12; Max length: 500 |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
202 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
202 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | BackgroundJob | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getSimulationDatasets#
GET /simulation-datasets
Operation ID: getSimulationDatasets
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getSimulationsBySimulationId#
GET /simulations/{simulationId}
Operation ID: getSimulationsBySimulationId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
simulationId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postSimulationsBySimulationIdPolicyDraft#
POST /simulations/{simulationId}/policy-draft
Operation ID: postSimulationsBySimulationIdPolicyDraft
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
simulationId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
vaultId |
Yes | string |
Min length: 1 |
policy |
Yes | object |
Additional properties rejected |
policy.id |
Yes | string |
Min length: 1 |
policy.version |
Yes | integer |
Exclusive minimum: 0 |
policy.strategy |
Yes | string |
Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY |
policy.strategyVersion |
Yes | string |
Min length: 1 |
policy.configHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
policy.validAfter |
Yes | string |
Format: date-time |
policy.validUntil |
Yes | string |
Format: date-time |
policy.cooldownSeconds |
Yes | integer |
Minimum: 0; Maximum: 4294967295 |
policy.maxPositions |
Yes | integer |
Maximum: 32; Exclusive minimum: 0 |
policy.maxOracleDeviationPips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.maxTwapDeviationPips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.minOracleConfidencePips |
Yes | integer |
Minimum: 800000; Maximum: 1000000 |
policy.minOracleObservationAgeSeconds |
Yes | integer |
Minimum: 1; Maximum: 3600 |
policy.maxSwapSlippagePips |
Yes | integer |
Minimum: 0; Maximum: 100000 |
policy.maxDailyTurnoverPips |
Yes | integer |
Minimum: 0; Maximum: 500000 |
policy.minActiveLiquidityPips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
policy.minQuoteReservePips |
Yes | integer |
Minimum: 0; Maximum: 1000000 |
policy.maxSwapPerAction |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxSwapPerDay |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxGasReimbursement |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxRealizedLossPerDay |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxCapitalPerPosition |
Yes | string |
Pattern: ^(0|[1-9][0-9]*)$ |
policy.maxActionsPerDay |
Yes | integer |
Maximum: 10000; Exclusive minimum: 0 |
policy.minimumTick |
Yes | integer |
Minimum: -887272; Maximum: 887272 |
policy.maximumTick |
Yes | integer |
Minimum: -887272; Maximum: 887272 |
policy.maximumPositionWidthTicks |
Yes | integer |
Maximum: 16777215; Exclusive minimum: 0 |
policy.minimumPositionWidthTicks |
Yes | integer |
Maximum: 16777215; Exclusive minimum: 0 |
policy.allowedPools |
Yes | Array of string |
Min items: 1; Max items: 32 |
policy.allowedRecipients |
Yes | Array of string |
Min items: 1; Max items: 32 |
policy.executor |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.guardian |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.oracleGuard |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{40}$ |
policy.quoteProfile |
Yes | string |
Allowed: USDT, WBOT |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getIncidents#
GET /incidents
Operation ID: getIncidents
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAlertPolicies#
GET /alert-policies
Operation ID: getAlertPolicies
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postAlertPolicies#
POST /alert-policies
Operation ID: postAlertPolicies
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
rules |
Yes | Array of object |
Min items: 1; Max items: 50 |
rules[].id |
Yes | string |
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9:_-]{0,79}$ |
rules[].detector |
Yes | string |
Pattern: ^[A-Z][A-Z0-9_]{2,119}$ |
rules[].severity |
Yes | string |
Allowed: WARNING, CRITICAL |
rules[].threshold |
Yes | object |
Additional properties rejected |
rules[].threshold.occurrences |
Yes | integer |
Minimum: 1; Maximum: 100 |
rules[].threshold.windowSeconds |
Yes | integer |
Minimum: 1; Maximum: 86400 |
rules[].recipientIds |
Yes | Array of string |
Min items: 1; Max items: 25 |
rules[].acknowledgementDeadlineSeconds |
Yes | integer |
Minimum: 30; Maximum: 3600 |
rules[].escalationAfterSeconds |
Yes | integer |
Minimum: 30; Maximum: 86400 |
rules[].automaticPause |
Yes | boolean |
— |
recipients |
Yes | Array of object |
Min items: 1; Max items: 25 |
recipients[].id |
Yes | string |
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9:_-]{0,79}$ |
recipients[].label |
Yes | string |
Min length: 1; Max length: 120 |
recipients[].channel |
Yes | string |
Allowed: EMAIL, WEBHOOK |
recipients[].destination |
Yes | string |
Min length: 3; Max length: 500 |
recipients[].enabled |
Yes | boolean |
— |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAlertDeliveries#
GET /alert-deliveries
Operation ID: getAlertDeliveries
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getSafetyPauseCommands#
GET /safety-pause-commands
Operation ID: getSafetyPauseCommands
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postIncidentsByIncidentIdAcknowledge#
POST /incidents/{incidentId}/acknowledge
Operation ID: postIncidentsByIncidentIdAcknowledge
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
incidentId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
message |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postIncidentsByIncidentIdMitigate#
POST /incidents/{incidentId}/mitigate
Operation ID: postIncidentsByIncidentIdMitigate
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
incidentId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
message |
Yes | string |
Min length: 3; Max length: 500 |
ownerIds |
Yes | Array of string |
Min items: 1; Max items: 20 |
evidence |
Yes | Array of string |
Min items: 1; Max items: 100 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postIncidentsByIncidentIdResolve#
POST /incidents/{incidentId}/resolve
Operation ID: postIncidentsByIncidentIdResolve
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
incidentId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
message |
Yes | string |
Min length: 3; Max length: 500 |
evidence |
Yes | Array of string |
Min items: 1; Max items: 100 |
postmortemArtifactHash |
No | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getBilling#
GET /billing
Operation ID: getBilling
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReportsByReportIdFeeAccrualPreview#
GET /reports/{reportId}/fee-accrual-preview
Operation ID: getReportsByReportIdFeeAccrualPreview
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postReportsByReportIdFeeAccruals#
POST /reports/{reportId}/fee-accruals
Operation ID: postReportsByReportIdFeeAccruals
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postInvoices#
POST /invoices
Operation ID: postInvoices
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
vaultId |
Yes | string |
Min length: 1; Max length: 200 |
accrualIds |
Yes | Array of string |
Min items: 1; Max items: 400 |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postInvoicesByInvoiceIdPaymentReconciliations#
POST /invoices/{invoiceId}/payment-reconciliations
Operation ID: postInvoicesByInvoiceIdPaymentReconciliations
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
invoiceId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
transactionHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReports#
GET /reports
Operation ID: getReports
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReportsByReportIdExportsByFormat#
GET /reports/{reportId}/exports/{format}
Operation ID: getReportsByReportIdExportsByFormat
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
format |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postReportsByReportIdPublish#
POST /reports/{reportId}/publish
Operation ID: postReportsByReportIdPublish
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
slug |
Yes | string |
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$ |
disclosure |
Yes | object |
Additional properties rejected |
disclosure.showTreasuryAmounts |
Yes | boolean |
— |
disclosure.showPolicyLimits |
Yes | boolean |
— |
disclosure.showIncidents |
Yes | boolean |
— |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postReportsByReportIdPublicationFinalization#
POST /reports/{reportId}/publication-finalization
Operation ID: postReportsByReportIdPublicationFinalization
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
transactionHash |
Yes | string |
Pattern: ^0x[0-9a-fA-F]{64}$ |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getDataHealth#
GET /data-health
Operation ID: getDataHealth
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAiOutputs#
GET /ai/outputs
Operation ID: getAiOutputs
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postAiOutputs#
POST /ai/outputs
Operation ID: postAiOutputs
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
outputType |
Yes | string |
Allowed: LIQUIDITY_DIAGNOSIS, SIMULATION_NARRATIVE, POLICY_DIFF_EXPLANATION, REBALANCE_EXPLANATION, INCIDENT_SUMMARY, WEEKLY_LIQUIDITY_REPORT, DATA_QUALITY_EXPLANATION |
subject |
Yes | object |
Additional properties rejected |
subject.vaultId |
No | string |
Min length: 1; Max length: 200 |
subject.simulationId |
No | string |
Min length: 1; Max length: 200 |
subject.policyId |
No | string |
Min length: 1; Max length: 200 |
subject.comparisonPolicyId |
No | string |
Min length: 1; Max length: 200 |
subject.proposalId |
No | string |
Min length: 1; Max length: 200 |
subject.incidentId |
No | string |
Min length: 1; Max length: 200 |
subject.reportId |
No | string |
Min length: 1; Max length: 200 |
question |
Yes | string |
Min length: 3; Max length: 1500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
202 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
202 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | BackgroundJob | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAiOutputsByOutputId#
GET /ai/outputs/{outputId}
Operation ID: getAiOutputsByOutputId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
outputId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getAuditEvents#
GET /audit-events
Operation ID: getAuditEvents
Authentication: __Host-klineo_session cookie (sessionCookie)
This operation declares no parameters.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganizationsByOrgIdMembers#
GET /organizations/{orgId}/members
Operation ID: getOrganizationsByOrgIdMembers
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
postOrganizationsByOrgIdMembers#
POST /organizations/{orgId}/members
Operation ID: postOrganizationsByOrgIdMembers
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
email |
Yes | string |
Format: email; Max length: 320 |
role |
Yes | string |
Allowed: ORGANIZATION_OWNER, TREASURY_ADMIN, APPROVER, ANALYST, VIEWER, KLINEO_OPERATOR, RISK_GUARDIAN, INTERNAL_AUDITOR |
expiresAt |
Yes | string |
Format: date-time |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
201 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
201 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
patchOrganizationsByOrgIdMembersByMemberId#
PATCH /organizations/{orgId}/members/{memberId}
Operation ID: patchOrganizationsByOrgIdMembersByMemberId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
memberId |
path | Yes | string |
Min length: 1 |
Idempotency-Key |
header | Yes | string |
Min length: 8; Max length: 163 |
If-Match |
header | Yes | string |
One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3 |
Request body#
Required: yes.
application/json
object — Additional properties rejected
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
role |
Yes | string |
Allowed: ORGANIZATION_OWNER, TREASURY_ADMIN, APPROVER, ANALYST, VIEWER, KLINEO_OPERATOR, RISK_GUARDIAN, INTERNAL_AUDITOR |
expiresAt |
No | string |
Format: date-time |
reason |
Yes | string |
Min length: 3; Max length: 500 |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getSimulationsBySimulationIdArtifacts#
GET /simulations/{simulationId}/artifacts
Operation ID: getSimulationsBySimulationIdArtifacts
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
simulationId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReportsByReportId#
GET /reports/{reportId}
Operation ID: getReportsByReportId
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReportsByReportIdPerformanceSeries#
GET /reports/{reportId}/performance-series
Operation ID: getReportsByReportIdPerformanceSeries
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | ReportPerformanceSeries | — |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getReportsByReportIdDownload#
GET /reports/{reportId}/download
Operation ID: getReportsByReportIdDownload
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
reportId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganizationsByOrgIdFeeSchedule#
GET /organizations/{orgId}/fee-schedule
Operation ID: getOrganizationsByOrgIdFeeSchedule
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.
getOrganizationsByOrgIdInvoices#
GET /organizations/{orgId}/invoices
Operation ID: getOrganizationsByOrgIdInvoices
Authentication: __Host-klineo_session cookie (sessionCookie)
Parameters#
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
orgId |
path | Yes | string |
Min length: 1 |
Responses#
| Status | Description | Content type and schema |
|---|---|---|
200 |
Successful response | application/json: object |
default |
Structured API error | application/json: ApiErrorEnvelope |
200 application/json body
object
| Field | Required at this level | Type | Description and constraints |
|---|---|---|---|
data |
Yes | object |
The typed runtime domain record returned by this operation. Additional properties allowed |
Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.